wxwidgets system dep

Dependency Availability

Arch Linux
All Versions
wxgtk
 
CentOS
All Versions
Not available
 
Cygwin
All Versions
Not available
 
Debian
Sarge
Not available
Etch
Not available
Lenny
Not available
Squeeze
Not available
Wheezy
libwxgtk2.8-dev
Jessie
libwxgtk3.0-dev
Sid (Unstable)
Not available
 
Fedora
17 (Beefy Miracle)
wxGTK-devel
18 (Spherical Cow)
wxGTK-devel
19 (Schrödinger's Cat)
wxGTK-devel
20 (Heisenberg)
wxGTK-devel
Fedora 21
wxGTK-devel
Fedora 22
wxGTK-devel
 
FreeBSD
All Versions
wxgtk2
 
Gentoo Linux
All Versions
x11-libs/wxGTK
 
Mandrake/Mandriva Linux
All Versions
Not available
 
openSUSE
All Versions
wxGTK-devel
 
Mac OS X
Leopard
Not available
Snow Leopard
Not available
Lion
Not available
Mountain lion
Not available
Mavericks
Not available
Yosemite
Not available
 
Red Hat Enterprise Linux
All Versions
wxGTK-devel
 
Ubuntu
Karmic
Not available
Lucid
libwxgtk2.8-dev
Maverick
libwxgtk2.8-dev
Natty
libwxgtk2.8-dev
Oneiric
libwxgtk2.8-dev
Precise
libwxgtk2.8-dev
Quantal
libwxgtk2.8-dev
Raring
libwxgtk2.8-dev
Saucy
libwxgtk2.8-dev
Trusty
libwxgtk2.8-dev
Trusty (Python3)
Not available
Utopic
libwxgtk2.8-dev
Utopic (Python3)
Not available
Vivid
libwxgtk2.8-dev
Vivid (Python3)
Not available
Wily
libwxgtk2.8-dev
Wily (Python3)
Not available
Xenial
libwxgtk3.0-dev
Xenial (Python3)
Not available
 

Raw Rosdep Data

  {"osx"=>{"homebrew"=>{"depends"=>["wxpython"]}}, "arch"=>["wxgtk"], "debian"=>{"buster"=>["libwxgtk3.0-dev"], "jessie"=>["libwxgtk3.0-dev"], "stretch"=>["libwxgtk3.0-dev"], "wheezy"=>["libwxgtk2.8-dev"]}, "fedora"=>["wxGTK-devel"], "freebsd"=>["wxgtk2"], "gentoo"=>["x11-libs/wxGTK"], "macports"=>["wxWidgets-python"], "opensuse"=>["wxGTK-devel"], "rhel"=>["wxGTK-devel"], "ubuntu"=>{"artful"=>["libwxgtk3.0-dev"], "bionic"=>["libwxgtk3.0-dev"], "lucid"=>["libwxgtk2.8-dev"], "maverick"=>["libwxgtk2.8-dev"], "natty"=>["libwxgtk2.8-dev"], "oneiric"=>["libwxgtk2.8-dev"], "precise"=>["libwxgtk2.8-dev"], "quantal"=>["libwxgtk2.8-dev"], "raring"=>["libwxgtk2.8-dev"], "saucy"=>["libwxgtk2.8-dev"], "trusty"=>["libwxgtk2.8-dev"], "utopic"=>["libwxgtk2.8-dev"], "vivid"=>["libwxgtk2.8-dev"], "wily"=>["libwxgtk2.8-dev"], "xenial"=>["libwxgtk3.0-dev"], "yakkety"=>["libwxgtk3.0-dev"], "zesty"=>["libwxgtk3.0-dev"]}}